[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'oldlinux' (#rtl)

# GetPid

Return current process ID

## Declaration

Source position: oldlinux.pp line 1368

`function GetPid: LongInt;`

## Description

Get the Process ID of the currently running process.

## Errors

None.

## See also

GetPPid |  | Return parent process ID

## Example

    Program Example16;

    { Program to demonstrate the GetPid, GetPPid function. }

    Uses oldlinux;

    begin
      Writeln ('Process Id = ',getpid,' Parent process Id = ',getppid);
    end.

Documentation generated on: Feb 26 2014